﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.AspNet.SignalR;
using FirstSignalR.Hubs;

namespace FirstSignalR.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }


        public ActionResult Push()
        {
            return View();
        }
        [HttpPost]
        public ActionResult Push(string message)
        {
            IHubContext chat = GlobalHost.ConnectionManager.GetHubContext<PushHub>();
            chat.Clients.All.notice(message);
            return Json(new { Result = true }, JsonRequestBehavior.AllowGet);
        }      
    }
}
